xn::ModuleCodec Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleCodec:
[legend]

## Public Member Functions

virtual | ~ModuleCodec ()
virtual XnCodecID | GetCodecID () const =0
virtual XnStatus | Init (const ProductionNode &node)=0
virtual XnStatus | CompressData (const void *pSrc, XnUInt32 nSrcSize, void *pDst, XnUInt32 nDstSize, XnUInt *pnBytesWritten) const =0
virtual XnStatus | DecompressData (const void *pSrc, XnUInt32 nSrcSize, void *pDst, XnUInt32 nDstSize, XnUInt *pnBytesWritten) const =0
Public Member Functions inherited from xn::ModuleProductionNode
virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)

## Constructor & Destructor Documentation

## ~ModuleCodec()

virtual xn::ModuleCodec::~ModuleCodec | ( |  | ) |

inline virtual

## Member Function Documentation

## CompressData()

virtual XnStatus xn::ModuleCodec::CompressData | ( | const void * | pSrc,
|  | XnUInt32 | nSrcSize,
|  | void * | pDst,
|  | XnUInt32 | nDstSize,
|  | XnUInt * | pnBytesWritten ) const

pure virtual

## DecompressData()

virtual XnStatus xn::ModuleCodec::DecompressData | ( | const void * | pSrc,
|  | XnUInt32 | nSrcSize,
|  | void * | pDst,
|  | XnUInt32 | nDstSize,
|  | XnUInt * | pnBytesWritten ) const

pure virtual

## GetCodecID()

virtual XnCodecID xn::ModuleCodec::GetCodecID | ( |  | ) | const

pure virtual

## Init()

virtual XnStatus xn::ModuleCodec::Init | ( | const ProductionNode & | node | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h